#### D.5.9.1 re2squ

Procedure from library `numerDecom.lib` (see numerDecom_lib).

Usage:
  re2squ(ideal I);I ideal

Return:
  ideal J defined by the polynomial system of the same number of polynomials and unknowns

Example:

    LIB "numerDecom.lib";
    ring r=0,(x,y,z),dp;
    ideal I= x3+y4,z4+yx,xz+3x,x2y+z;
    def D=re2squ(I);
    setring D;
    J;

User manual for Singular version 4.4.1, 2025, generated by texi2html.